// Fill out your copyright notice in the Description page of Project Settings.

#include "PositionReport.h"
#include "GameFramework/Actor.h"
#include "Engine/World.h"


// Sets default values for this component's properties
UPositionReport::UPositionReport()
{
	// Set this component to be initialized when the game starts, and to be ticked every frame.  You can turn these features
	// off to improve performance if you don't need them.
	PrimaryComponentTick.bCanEverTick = true;

	
	
}


// Called when the game starts
void UPositionReport::BeginPlay()
{
	Super::BeginPlay();

	// This finds the name of the object GetOwner is a Pointer to an *AActor. We looked thru the Pointer to the GetName method
	//whish returns an FString...Then we put that into ObjectName and can use below with *ObjectName
	FString ObjectName = GetOwner()->GetName();

	//Added ToString because you can't add a vector into ObjectPos
	FString ObjectPos = GetOwner()->GetTransform().GetLocation().ToString();

	// Need a Format Operator "%s" & "%s" to pull the name from *ObjectName and *ObjectPos into the output
	// macro UE_LOG and TEXT are both macros
	UE_LOG(LogTemp, Warning, TEXT("%s is at %s"), *ObjectName, *ObjectPos);	

}


// Called every frame
void UPositionReport::TickComponent(float DeltaTime, ELevelTick TickType, FActorComponentTickFunction* ThisTickFunction)
{
	Super::TickComponent(DeltaTime, TickType, ThisTickFunction);

	// ...
}

